Subject: bug#23803: 11.89.4; Integration of pdf-tools lazy loading

From: Mosè Giordano <[email-masked]>
Date: Thu, 23 Jun 2016 23:26:34 +0200

Hi Christoph,

2016-06-19 13:16 GMT+02:00 Christoph Paulik <[email-masked]>:
>
> Hello,
>
> I was not really sure if this qualifies as a bug but decided to post it here
> anyway.
>
> There seems to be an issue when lazy loading auctex and pdf-tools.
>
> tex.el uses (unless (featurep 'pdf-tools)) at
> http://git.savannah.gnu.org/cgit/auctex.git/tree/tex.el#n1265 to check if
> pdf-tools is installed. This does not work if pdf-tools is loaded with e.g.
> use-package and the :defer flag set to t.
> I've worked around that (https://github.com/syl20bnr/spacemacs/pull/6365) by
> defining my own function which omits the (featurep) check and it works fine
> so this might be something to consider for auctex.

Thanks for the report.  I'd like to keep a test, if possible.
Tassilo, can we use `fboundp' on an autoloaded function?  Maybe
`pdf-tools-install'?

Bye,
Mosp